=== korn/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_RTTI)

tde_import( libkmime )

add_subdirectory( tdeconf_update )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkmime
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( korn )
tde_create_translated_desktop( KOrn.desktop )


##### korn (executable) #########################

tde_add_executable( korn AUTOMOC
  SOURCES
    accountmanager.cpp account_input.cpp boxcontainer.cpp boxcontaineritem.cpp
    boxcontaineritem.skel dcopdrop.cpp dcopdropif.cpp dcopdropif.skel
    dcop_proto.cpp dockedcontainer.cpp dockeditem.cpp hvcontainer.cpp hvitem.cpp
    keditlistboxman.cpp nntp_proto.cpp maildrop.cpp main.cpp polldrop.cpp
    protocols.cpp kornshell.cpp subjectsdlg.cpp maildlg.cpp mailid.cpp
    mailsubject.cpp mbox_proto.cpp imap_proto.cpp intid.cpp stringid.cpp
    kornapp.cpp tdeio.cpp tdeio_count.cpp tdeio_proto.cpp tdeio_subjects.cpp
    tdeio_single_subject.cpp tdeio_read.cpp tdeio_delete.cpp kmail_proto.cpp
    sortedmailsubject.cpp korncfgimpl.cpp kornaccountcfgimpl.cpp kornboxcfgimpl.cpp
    kornaccountcfg.ui kornboxcfg.ui korncfg.ui password.cpp pop3_proto.cpp
    systemtray.cpp process_proto.cpp progress_dialog.ui qmail_proto.cpp label.cpp
  LINK kmime-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
