=== libkholidays/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkholidays )

include( ConfigureChecks.cmake )

add_subdirectory( holidays )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kholidays (shared) ########################
add_custom_command(
  OUTPUT parseholiday.c parseholiday.h
  COMMAND ${BISON_EXECUTABLE} -p kcal -d  -o parseholiday.c ${CMAKE_CURRENT_SOURCE_DIR}/parseholiday.y
)

add_custom_command(
  OUTPUT scanholiday.c
  COMMAND ${FLEX_EXECUTABLE} -Pkcal -B -i -o scanholiday.c ${CMAKE_CURRENT_SOURCE_DIR}/scanholiday.lex
)

add_custom_target(
  libkholiday_file_generation
  DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/parseholiday.c
    ${CMAKE_CURRENT_BINARY_DIR}/parseholiday.h
    ${CMAKE_CURRENT_BINARY_DIR}/scanholiday.c
)

tde_add_library( kholidays SHARED AUTOMOC
  SOURCES
    kholidays.cpp scanholiday.c parseholiday.h parseholiday.c lunarphase.cpp
  VERSION 1.0.0
  LINK tdecore-shared
  DEPENDENCIES libkholiday_file_generation
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )
