=== libksieve/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libksieve )

add_subdirectory( ksieve )
add_subdirectory( shared )
add_subdirectory( parser )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksieve (shared) ###########################

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( ksieve SHARED
  SOURCES dummy.cpp
  VERSION 0.0.0
  EMBED ksieve_parser-static ksieve_shared-static
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_install_export( )
