=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre142-0ubuntu25.10.0+10) questing; urgency=low

  * Automated git build for 9cba52866aa4b45b8486024660d86d3f0740ef88
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
