## tdepim-trinity 14.2.0~pre144

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre144-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for f46ce19b775ac2363dfac0679a606c91b0d52f5e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:48 +0100
