## tdepim-trinity 14.2.0~pre145

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre145-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 23bea66601638a5642aed97e01f25efebcf5d534
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 13:31:28 +0100
