## tdepim-trinity 14.2.0~pre148

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre148-0ubuntu25.04.0+10) plucky; urgency=low

  * Automated git build for 9dd508a3c3f71d0cfff68634be6603466a9e16d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 04:55:08 +0100
