## tdepim-trinity 14.2.0~pre150

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre150-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for f635882ce0c9bb0c565b3aaec310b5ed7b306bb3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:34 +0100
